﻿using Newtonsoft.Json.Linq;

namespace EDJournal {
    public class FSDJumpEntry : Entry {
        protected override void Initialise() {
            SystemAddress = JSON.Value<ulong?>("SystemAddress") ?? 0;
            StarSystem = JSON.Value<string>("StarSystem");
            var faction = JSON.Value<JObject>("SystemFaction");
            if (faction != null) {
                SystemFaction = faction.Value<string>("Name");
            }
        }
        public string StarSystem { get; set; }

        public string SystemFaction { get; set; }

        public ulong SystemAddress { get; set; }
    }
}
